# RTIfedTime.cc File Reference

`#include <math.h>`
`#include "certi.hh"`
`#include "fedtime.hh"`
`#include "FedTimeD.hh"`
`#include <algorithm>`
`#include <limits>`
`#include <sstream>`
`#include <typeinfo>`

Go to the source code of this file.

## Functions
const RTIfedTime & | rft (const RTI::FedTime &time) throw (RTI::InvalidFederationTime)
| FedTime to RTIfedTime reference cast.
bool | is_infinity (const RTI::FedTime &time)
std::ostream & | operator<< (std::ostream &s, const RTI::FedTime &time)
RTIfedTime | operator+ (const RTI::Double &d, const RTI::FedTime &time)
RTIfedTime | operator- (const RTI::Double &d, const RTI::FedTime &time)
RTIfedTime | operator* (const RTI::Double &d, const RTI::FedTime &time)
RTIfedTime | operator/ (const RTI::Double &d, const RTI::FedTime &time)
## Variables
const char * | infinity_str = "+inf"

## Function Documentation

bool @122::is_infinity | ( | const RTI::FedTime & | time | ) | `[inline, static]`

Definition at line 54 of file RTIfedTime.cc.

References RTI::RTI_TRUE.

Referenced by RTIfedTime::getPrintableLength(), RTIfedTime::getPrintableString(), RTIfedTime::operator!=(), RTIfedTime::operator<(), operator<<(), RTIfedTime::operator<=(), RTIfedTime::operator==(), RTIfedTime::operator>(), and RTIfedTime::operator>=().

RTIfedTime operator* | ( | const RTI::Double & | d,
|  | const RTI::FedTime & | time |
| ) |  |  |

Definition at line 489 of file RTIfedTime.cc.

References RTIfedTime::getTime(), and rft().

Here is the call graph for this function:

RTIfedTime operator+ | ( | const RTI::Double & | d,
|  | const RTI::FedTime & | time |
| ) |  |  |

Definition at line 473 of file RTIfedTime.cc.

References RTIfedTime::getTime(), and rft().

Here is the call graph for this function:

RTIfedTime operator- | ( | const RTI::Double & | d,
|  | const RTI::FedTime & | time |
| ) |  |  |

Definition at line 481 of file RTIfedTime.cc.

References RTIfedTime::getTime(), and rft().

Here is the call graph for this function:

RTIfedTime operator/ | ( | const RTI::Double & | d,
|  | const RTI::FedTime & | time |
| ) |  |  |

Definition at line 497 of file RTIfedTime.cc.

References RTIfedTime::getTime(), and rft().

Here is the call graph for this function:

std::ostream& operator<< | ( | std::ostream & | s,
|  | const RTI::FedTime & | time |
| ) |  |  |

Definition at line 460 of file RTIfedTime.cc.

References RTIfedTime::getTime(), infinity_str, is_infinity(), and rft().

Here is the call graph for this function:

const RTIfedTime& @122::rft | ( | const RTI::FedTime & | time | ) | throw (RTI::InvalidFederationTime)`[inline, static]`

FedTime to RTIfedTime reference cast.

Definition at line 42 of file RTIfedTime.cc.

Referenced by RTIfedTime::operator!=(), operator*(), RTIfedTime::operator*(), RTIfedTime::operator*=(), operator+(), RTIfedTime::operator+(), RTIfedTime::operator+=(), operator-(), RTIfedTime::operator-(), RTIfedTime::operator-=(), operator/(), RTIfedTime::operator/(), RTIfedTime::operator/=(), RTIfedTime::operator<(), operator<<(), RTIfedTime::operator<=(), RTIfedTime::operator=(), RTIfedTime::operator==(), RTIfedTime::operator>(), and RTIfedTime::operator>=().

## Variable Documentation

const char* infinity_str = "+inf"`[static]`

Definition at line 59 of file RTIfedTime.cc.